# Drone sensor node


## Build Requirements
* Arduino framework
* "\_\_AVR\_ATmega168P\_\_" defined
* Arduino libraries used:
    * Adafruit BME280 Library, version 2.1.2
    * Adafruit SGP30 Sensor, version 2.0.0
* ISP programmer. USBasp works fine.


Arduino board definition in boards.txt:
```
atmega168p.name=ATmega168P (16 MHz)

atmega168p.upload.protocol=arduino
atmega168p.upload.maximum_size=14336
atmega168p.upload.speed=19200
atmega168p.upload.tool=avrdude

atmega168p.bootloader.low_fuses=0xff
atmega168p.bootloader.high_fuses=0xdd
atmega168p.bootloader.extended_fuses=0x00
atmega168p.bootloader.path=atmega
atmega168p.bootloader.file=ATmegaBOOT_168_ng.hex
atmega168p.bootloader.unlock_bits=0x3F
atmega168p.bootloader.lock_bits=0x0F

atmega168p.build.mcu=atmega168p
atmega168p.build.f_cpu=16000000L
atmega168p.build.core=arduino
atmega168p.build.variant=standard
```